"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobBatchesParameters = void 0;
const parameters_1 = require("../../parameters");
const exception_1 = require("../../exception");
class JobBatchesParameters extends parameters_1.BaseParameters {
    setDescription(description) {
        if (description.length >= 2000) {
            throw new exception_1.SmartlingException("Job description should be less than 2000 characters.");
        }
        this.set("description", description);
        return this;
    }
    setTargetLocaleIds(targetLocaleIds) {
        this.set("targetLocaleIds", targetLocaleIds);
        return this;
    }
    setMode(mode) {
        this.set("mode", mode);
        return this;
    }
    setSalt(salt) {
        this.set("salt", salt);
        return this;
    }
    setTimeZoneName(timeZoneName) {
        this.set("timeZoneName", timeZoneName);
        return this;
    }
}
exports.JobBatchesParameters = JobBatchesParameters;
//# sourceMappingURL=job-batches-parameters.js.map