"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecentlyPublishedFilesParameters = void 0;
const parameters_1 = require("../../parameters");
const exception_1 = require("../../exception");
class RecentlyPublishedFilesParameters extends parameters_1.BaseParameters {
    setPublishedAfterDate(publishedAfterDate) {
        this.set("publishedAfter", `${publishedAfterDate.toISOString().split(".")[0]}Z`);
        return this;
    }
    setLimit(limit) {
        if (limit > 0) {
            this.set("limit", limit);
            return this;
        }
        throw new exception_1.SmartlingException("Limit must be > 0");
    }
    setOffset(offset) {
        if (offset >= 0) {
            this.set("offset", offset);
            return this;
        }
        throw new exception_1.SmartlingException("Offset must be >= 0");
    }
    setFileUris(fileUris) {
        this.set("fileUris[]", fileUris);
        return this;
    }
    setLocaleIds(localeIds) {
        this.set("localeIds[]", localeIds);
        return this;
    }
}
exports.RecentlyPublishedFilesParameters = RecentlyPublishedFilesParameters;
//# sourceMappingURL=recently-published-files-parameters.js.map